# -*- coding: utf-8 -*-
# Generated by Django 1.11.8 on 2018-07-19 12:59
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('trunk', '0032_auto_20180709_1323'),
    ]

    operations = [
        migrations.CreateModel(
            name='UniversityStaff',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('access_level', models.SmallIntegerField(choices=[(99, 'Super User'), (1, 'Competition Organizer')], default=99)),
                ('timestamp', models.DateTimeField(auto_now_add=True)),
                ('admin', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterModelOptions(
            name='university',
            options={'ordering': ('name',)},
        ),
        migrations.RemoveField(
            model_name='university',
            name='admin',
        ),
        migrations.AddField(
            model_name='universitystaff',
            name='university',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='trunk.University'),
        ),
        migrations.AddField(
            model_name='university',
            name='uni_staffs',
            field=models.ManyToManyField(through='trunk.UniversityStaff', to=settings.AUTH_USER_MODEL),
        ),
    ]
